Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans.beancontext
Class BeanContextServiceAvailableEvent

    java.lang.Object
      java.util.EventObject
          java.beans.beancontext.BeanContextEvent
              java.beans.beancontext.BeanContextServiceAvailableEvent

All Implemented Interfaces:
  Serializable

    public class BeanContextServiceAvailableEvent

extends BeanContextEvent

This event type is used by the BeanContextServicesListener in order to identify the service being registered.

See Also:
  Serialized Form

Field Summary
`protected Class` | `serviceClass` A `Class` reference to the newly available service

Fields inherited from class java.beans.beancontext.BeanContextEvent
`propagatedFrom`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`BeanContextServiceAvailableEvent(BeanContextServices bcs, Class sc)` Construct a `BeanContextAvailableServiceEvent`.

Method Summary
`Iterator` | `getCurrentServiceSelectors()` Gets the list of service dependent selectors.
`Class` | `getServiceClass()` Gets the service class that is the subject of this notification.
`BeanContextServices` | `getSourceAsBeanContextServices()` Gets the source as a reference of type `BeanContextServices`.

Methods inherited from class java.beans.beancontext.BeanContextEvent
`getBeanContext, getPropagatedFrom, isPropagated, setPropagatedFrom`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serviceClass

    protected Class serviceClass

  A `Class` reference to the newly available service

Constructor Detail

### BeanContextServiceAvailableEvent

    public BeanContextServiceAvailableEvent(BeanContextServices bcs,
                                            Class sc)

  Construct a `BeanContextAvailableServiceEvent`.

  Parameters:
    `bcs` - The context in which the service has become available
    `sc` - A `Class` reference to the newly available service

Method Detail

### getSourceAsBeanContextServices

    public BeanContextServices getSourceAsBeanContextServices()

  Gets the source as a reference of type `BeanContextServices`.

  Returns:
    The context in which the service has become available

### getServiceClass

    public Class getServiceClass()

  Gets the service class that is the subject of this notification.

  Returns:
    A `Class` reference to the newly available service

### getCurrentServiceSelectors

    public Iterator getCurrentServiceSelectors()

  Gets the list of service dependent selectors.

  Returns:
    the current selectors available from the service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.